summaryrefslogtreecommitdiffstats
path: root/zyn-fusion
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-10 19:01:06 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-10 19:01:06 +0000
commit77264fbca41a57008442ed312ba3fb3109621742 (patch)
tree3e99f4cb0829e413945a36f9a8ddbffd790a616c /zyn-fusion
parent5bfc964e17293ceb214ff81a5d3ae668429594ba (diff)
downloadasb-77264fbca41a57008442ed312ba3fb3109621742.tar.gz
asb-77264fbca41a57008442ed312ba3fb3109621742.tar.xz
zyn-fusion: add 'X-DAW' category to the desktop file (for liveslak)
Diffstat (limited to 'zyn-fusion')
-rwxr-xr-xzyn-fusion/build/zyn-fusion.SlackBuild16
1 files changed, 13 insertions, 3 deletions
diff --git a/zyn-fusion/build/zyn-fusion.SlackBuild b/zyn-fusion/build/zyn-fusion.SlackBuild
index 98a07a7b..e8dc35d9 100755
--- a/zyn-fusion/build/zyn-fusion.SlackBuild
+++ b/zyn-fusion/build/zyn-fusion.SlackBuild
@@ -36,6 +36,8 @@
# 3.0.5-2: 01/jun/2020 by Eric Hameleers <alien@slackware.com>
# * Fix hard-coded paths preventing zyn-fusion from being useful,
# thanks to Bob Funk.
+# 3.0.5-3: 10/oct/2020 by Eric Hameleers <alien@slackware.com>
+# * Add 'X-DAW' category to the desktop file (for liveslak).
#
# Run 'sh zyn-fusion.SlackBuild' to build a Slackware package.
# The package (.t?z) and .txt file as well as build logs are created in /tmp .
@@ -47,7 +49,7 @@ PRGNAM=zyn-fusion
PRGZYN=zynaddsubfx
PRGFUSION=zyn-fusion-ui-src
VERSION=${VERSION:-3.0.5}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TAG=${TAG:-alien}
@@ -290,6 +292,14 @@ chmod 755 ${PKG}/usr/bin/${PRGNAM}
cd - 1>/dev/null
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh
@@ -317,9 +327,9 @@ cat $SRCDIR/slack-required > $PKG/install/slack-required
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep